Package org.kie.api.runtime.conf

# Enum Class KeepReferenceOption

java.lang.Object
java.lang.Enum<KeepReferenceOption>
org.kie.api.runtime.conf.KeepReferenceOption

All Implemented Interfaces:
  `Serializable`, `Comparable<KeepReferenceOption>`, `Constable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`

public enum KeepReferenceOption extends Enum<KeepReferenceOption> implements SingleValueKieSessionOption
Option to configure if the KieBase should retain a reference to the KieSession or not. The default is YES, i.e., the reference is retained.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO`
  `YES`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<KeepReferenceOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the keep reference configuration

  ### Fields inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  `boolean`
  `isKeepReference()`
  `static KeepReferenceOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KeepReferenceOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Enum Constant Details

  - ### YES

    public static final KeepReferenceOption YES

  - ### NO

    public static final KeepReferenceOption NO

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the keep reference configuration
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<KeepReferenceOption> KEY

- ## Method Details

  - ### values

    public static KeepReferenceOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KeepReferenceOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### isKeepReference

    public boolean isKeepReference()